# Enum Class CLNCubeFace

java.lang.Object
java.lang.Enum<CLNCubeFace>
com.io7m.calino.api.CLNCubeFace

All Implemented Interfaces:
  `Serializable, Comparable<CLNCubeFace>, Constable`

public enum CLNCubeFace extends Enum<CLNCubeFace>
The names of each of the faces of an axis-aligned cube.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `X_NEGATIVE`
  The face pointing towards negative infinity on the X axis.
  `X_POSITIVE`
  The face pointing towards positive infinity on the X axis.
  `Y_NEGATIVE`
  The face pointing towards negative infinity on the Y axis.
  `Y_POSITIVE`
  The face pointing towards positive infinity on the Y axis.
  `Z_NEGATIVE`
  The face pointing towards negative infinity on the Z axis.
  `Z_POSITIVE`
  The face pointing towards positive infinity on the Z axis.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static List<CLNCubeFace>`
  `facesInOrder()`
  `String`
  `shortName()`
  `static CLNCubeFace`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CLNCubeFace[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### X_POSITIVE

    public static final CLNCubeFace X_POSITIVE
    The face pointing towards positive infinity on the X axis.

  - ### X_NEGATIVE

    public static final CLNCubeFace X_NEGATIVE
    The face pointing towards negative infinity on the X axis.

  - ### Y_POSITIVE

    public static final CLNCubeFace Y_POSITIVE
    The face pointing towards positive infinity on the Y axis.

  - ### Y_NEGATIVE

    public static final CLNCubeFace Y_NEGATIVE
    The face pointing towards negative infinity on the Y axis.

  - ### Z_POSITIVE

    public static final CLNCubeFace Z_POSITIVE
    The face pointing towards positive infinity on the Z axis.

  - ### Z_NEGATIVE

    public static final CLNCubeFace Z_NEGATIVE
    The face pointing towards negative infinity on the Z axis.

- ## Method Details

  - ### values

    public static CLNCubeFace[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CLNCubeFace valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### facesInOrder

    public static List<CLNCubeFace> facesInOrder()
    Returns:
      The cube faces in specification order

  - ### shortName

    public String shortName()
    Returns:
      The short name of the cube face